using Lindenmayer, Luxor, Colors


sierpinski_triangle  = LSystem(Dict(
    "F" => "*F+F--F+F"),
    "F--F--F")

f(t::Turtle) = begin
    t.pencolor = (0.0,0.0,0.0)
    setline(4)
end

drawLSystem(sierpinski_triangle,
    forward     = 10,
    turn        = 60,
    iterations  = 4,
    startingx   = -400,
    startingy   = 230,
    width = 1000,
    height = 1000,
    backgroundcolor = "white",
    filename    = "./images/koch_snowflake.png",
    showpreview = true,
    asteriskfunction = f)

